<html version="2.0">
<head>
<title>Status Page</title>
</head>
<body>
<center>
<h1>Status Pages</h1>
</center>
<br><br>
<a name="APIStatus">
<h2>API Status</h2><p>
This request retrieves the latest status of selected APIs. The information
format is the same as in the <a href=http://www.ldas-dev.ligo.caltech.edu/ldas_outgoing/logs/APIstatus.html>
LDAS API web page in the LDAS web site.</a>
<ol>
	<li>Select one or more APIs.</li>
	<li>Set the number of times to repeat this request and frequency
		between each time, if desired. Default is one time only</li>
	<li>Hit SUBMIT to forward request to server.
</ol>
Response: <p>
The status of each selected API is displayed in the window. This is
the current status of the API which is more up-to-date than
LDAS API status web page.
<h2>LDAS API <font color='blue'>(manager,frame)</font> Status at ldas-dev</h2><h3><font color='red'>685746343</font><font color='green'>09/28/01-14:05:30 PDT</font><font color='brown'>09/28/01-21:05:30 GMT</font></h3>
<img src="/doc/gifs/ball_green.gif"> <b><u><font color='blue'>manager API</font></u> is running on<i>dataserver</i> port ::BASEPORT+01</b><ul><tt><li><font color='red'>uptime:<b>0 days + 02:43:11</b></font><li>maximum virtual memory allocated by this API:<font color='red'>5168 Kb</font>
<ul>(current resident set size: 4832 Kb)</ul><li>current cpu usage 0.2&#037;<ul><li>number of open sockets: 3<li>number of open files: 1<li>number of running threads: 0<li>number of pending events: 3<li>number of objects registered: 0<li>total: 7</ul></tt></ul><img src="/doc/gifs/ball_green.gif"> 
<b><u><font color='blue'>frame API</font></u> is running on<i>dataserver</i> port ::BASEPORT+04</b><ul><tt><li><font color='red'>uptime:<b>0 days + 02:42:55</b></font><li>maximum virtual memory allocated by this API:<font color='red'>33520 Kb</font><ul>(current resident set size: 30480 Kb)</ul>
<li>current cpu usage 0.1&#037;<ul><li>number of open sockets: 3<li>number of open files: 1<li>number of running threads: 1<li>number of pending events: 6<li>number of objects registered: 0<li>total: 11</ul></tt></ul>
<p>
<p>
<a name="NtpServerDiag">
<h2>NTP Server Diagnostics</h2>
The purpose of this request is to see if the Network Time Protocol
server is functionally on the network by keeping the API machine
times within the maximum limit of 3 seconds apart.
<ol>
	<li>Select one or more APIs.</li>
	<li>Set the number of times to repeat this request and frequency
		between each time, if desired. Default is one time only</li>
	<li>Hit SUBMIT to forward request to server.
</ol>
Response: <p>
The status of each selected API is displayed in the window. This is
the current status of the API which is more up-to-date 
LDAS API web page in the LDAS web site.<p>

<h3>LDAS API <font color='blue'>(manager,frame,metadata,ligolw,mpi,datacond,eventmon,cntlmon)</font> times at ldas-dev</h3><h3><font color='black'>685738533</font>&nbsp;&nbsp;<font color='green'>09/28/01-11:55:20 PDT&nbsp;</font><font color='brown'>09/28/01-18:55:20 GMT&nbsp;</font></h3><font color='black' size=-1><i><p>The Network Time Protocol (NTP) is used to
    synchronize the time of network computers; to verify that NTP is functioning, 
    <p>cntlmon API polls each API for time and compares it to cntlmon API's time upon reply;<BR> the API time is shown in red if it differs from cntlmonAPI by more than 2 seconds,
    indicating an possible out-of-sync condition.</font></i><p><pre><font black size=+1><u>            API           host            API time     cntlmonAPI time</u></font>
<font size=+1 color='blue'>        manager</font> <font color='brown'>     dataserver</font> <font color='green'> 09/28/2001 11:55:21</font> <font color='green'> 09/28/2001 11:55:21</font>
<font size=+1 color='blue'>          frame</font> <font color='brown'>     dataserver</font> <font color='green'> 09/28/2001 11:55:22</font> <font color='green'> 09/28/2001 11:55:22</font>
<font color='blue'>       metadata</font> <font color='brown'>     metaserver</font> <font color='red'> 09/28/2001 11:55:28</font> <font color='green'> 09/28/2001 11:55:24</font>
<font size=+1 color='blue'>         ligolw</font> <font color='brown'>     dataserver</font> <font color='green'> 09/28/2001 11:55:25</font> <font color='green'> 09/28/2001 11:55:25</font>
<font color='blue'>            mpi</font> <font color='brown'>        beowulf</font> <font color='red'> 09/28/2001 11:55:32</font> <font color='green'> 09/28/2001 11:55:26</font>
<font color='blue'>       datacond</font> <font color='brown'>        datacon</font> <font color='red'> 09/28/2001 11:55:34</font> <font color='green'> 09/28/2001 11:55:28</font>
<font color='blue'>       eventmon</font> <font color='brown'>     metaserver</font> <font color='red'> 09/28/2001 11:55:34</font> <font color='green'> 09/28/2001 11:55:30</font>
</pre></body></html>
<p>
<a name="APIStateSummary">
<h2>API state summary</h2>
The page shows the list of active jobs in LDAS and the ones on queue. To make a request:
<ol>
	<li>Select one or more APIs.</li>
	<li>Set the number of times to repeat this request and frequency
		between each time, if desired. Default is one time only</li>
	<li>Hit SUBMIT to forward request to server.
</ol>
Response: <p>
 <h3>Summary of Running Job Status at ldas-dev at 04/26/02-10:16:38 PDT</h2>
 <p>
 <ul>
<font color=red>
<b>Running:</b><p>
<font color=green>
<li><font color=brown>LDAS-DEV205223</font> dataPipeline <font color=brown>eventmon</font> mbarnes 334.51:<font color=brown>274.45</font><br>
<li><font color=brown>LDAS-DEV205224</font> dataPipeline <font color=brown>eventmon</font> isalzman 294.01:<font color=brown>185.31</font><br>
<li><font color=brown>LDAS-DEV205225</font> dataPipeline <font color=brown>eventmon</font> mbarnes 288.95:<font color=brown>228.28</font><br>
<li><font color=brown>LDAS-DEV205227</font> dataPipeline <font color=brown>eventmon</font> isalzman 240.38:<font color=brown>156.43</font><br>
<li><font color=brown>LDAS-DEV205228</font> dataPipeline <font color=brown>eventmon</font> mbarnes 175.04:<font color=brown>104.74</font><br>
<li><font color=brown>LDAS-DEV205229</font> dataPipeline <font color=brown>eventmon</font> isalzman 169.99:<font color=brown>107.94</font><br>
</ul>
</ol>
<font color=red>
<b>Queued:</b><p>
<font color=black>
<li>LDAS-DEV205235 dataPipeline queued mbarnes 7.145<br>
<li>LDAS-DEV205236 dataPipeline queued isalzman 0<br>
<li>LDAS-DEV205237 dataPipeline queued mbarnes 0<br>
<li>LDAS-DEV205238 dataPipeline queued isalzman 0<br>
<li>LDAS-DEV205239 dataPipeline queued mbarnes 0<br>
<li>LDAS-DEV205240 dataPipeline queued isalzman 0<br>
</font></font>
</ol>
<font color=black>
<p>
</body>
</html>
